<?php
if(!defined('INITIALIZED'))
	die('Brak dostepu.');

class Generator_Controller extends Controller
{
	public function indexAction()
	{
		$aukcja1 = Aukcja::create('4263024474', 'bojówki granatowe 36/32 pas 88-90 cm', 'tresc 1', '99.00', 1391182510, 1391882050);
		$aukcja2 = Aukcja::create('4263003018', 'jeansy męskie niebieskie 34/32 pas 90-92cm', 'tresc2', '119.00', 1401182110, 1401882070);
		$aukcja3 = Aukcja::create('4218475850', 'marynarka moro rozmiar XL', 'tresc3', '79.00', 1401183710, 1401884970);

		$klient1 = Klient::create('Walentyna', 'Nowicka', 'Giewont 60', '02-829', 'Warszawa', '535 569 942', '4735289723', 'Sweeprive', 329, 1);
		$klient2 = Klient::create('Jolanta', 'Kowalczyk', 'Kobzowa 114', '91-612', 'Łódź', '645 334 745', '7673465331', 'Butc1979', 213, 0);
		$klient3 = Klient::create('Krystiana', 'Zawadzka', 'Kanałowa 134', '25-319', 'Kielce', '543 764 175', '6756232113', 'Roslina12', 2, 0);
		$klient4 = Klient::create('Jarosław', 'Dąbrowski', 'Giewont 60', '42-400', 'Zawiercie', '664 343 445', '3425573321', 'mater', 7, 2);
		$klient5 = Klient::create('Michalina', 'Wojciechowska', 'Polna 2', '60-803', 'Poznań', '668 661 622', '5271232278', 'kula1993', 1654, 3);
		$klient6 = Klient::create('Kasia', 'Pawlak', 'Słowicza 17', '81-078', 'Gdynia', '677 345 344', '5463518653', 'kupowacz', 545, 1);

		$transakcja1 = Transakcja::create(2, $aukcja1, $klient1);
		
		$transakcja2 = Transakcja::create(1, $aukcja2, $klient1);
		$transakcja3 = Transakcja::create(3, $aukcja2, $klient3);
		$transakcja4 = Transakcja::create(1, $aukcja2, $klient4);
		$transakcja5 = Transakcja::create(1, $aukcja2, $klient6);

		$transakcja6 = Transakcja::create(1, $aukcja3, $klient2);
		$transakcja7 = Transakcja::create(2, $aukcja3, $klient3);
		$transakcja8 = Transakcja::create(1, $aukcja3, $klient5);
		
		
		$pracownik1 = Pracownik::create('Wiola', 'Nowakowska', 'Głęboka 110', '81-039', 'Sopot', '668 661 622', Stanowisko::OBSLUGA_PRZESYLEK, '1', '1');
		$pracownik2 = Pracownik::create('Ewa', 'Olszewska', 'Osiecka 77', '81-078', 'Gdynia', '677 345 344', Stanowisko::OBSLUGA_PRZESYLEK , '2', '2');
		$pracownik3 = Pracownik::create('Celina', 'Jabłońska', 'Narcyzów 133', '81-079', 'Gdynia', '---', Stanowisko::OBSLUGA_PRZESYLEK , '3', '3');
		$pracownik4 = Pracownik::create('Hanna', 'Czarnecka', 'Bolesława Śmiałego 5', '81-078', 'Gdynia', '664 376 988', Stanowisko::SZEF , '4', '4');

		$przesylka1 = PrzesylkaNadana::create($pracownik1, 'Walentyna', 'Nowicka', 'Giewont 60', '02-829', 'Warszawa', '535 569 942', '2x bojówki granatowe 36/32, 1x jeansy niebieskie 34/32', time()+1234);
		$przesylka1->powiazTransakcja($transakcja1);
		$przesylka1->powiazTransakcja($transakcja2);
		$transakcja1->setStatusTransakcji(StatusTransakcji::WYSLANA);
		$transakcja2->setStatusTransakcji(StatusTransakcji::WYSLANA);

		$przesylka2 = PrzesylkaNadana::create($pracownik2, 'Jolanta', 'Kowalczyk', 'Kobzowa 114', '91-612', 'Łódź', '645 334 745', 'marynarka moro XL', time()+3232);
		$przesylka2->powiazTransakcja($transakcja6);
		$transakcja6->setStatusTransakcji(StatusTransakcji::WYSLANA);

		$przesylka3 = PrzesylkaNadana::create($pracownik1, 'Krystiana', 'Zawadzka', 'Kanałowa 134', '25-319', 'Kielce', '543 764 175', '2x marynarka moro XL, 3x jeansy niebieskie 34/32', time()+5432);
		$przesylka3->powiazTransakcja($transakcja3);
		$przesylka3->powiazTransakcja($transakcja7);
		$transakcja3->setStatusTransakcji(StatusTransakcji::WYSLANA);
		$transakcja7->setStatusTransakcji(StatusTransakcji::WYSLANA);

		$przesylka4 = PrzesylkaNadana::create($pracownik2, 'Jarosław', 'Dąbrowski', 'Giewont 60', '42-400', 'Zawiercie', '664 343 445', '1x jeansy niebieskie 34/32', time()+6549);
		$przesylka4->powiazTransakcja($transakcja4);
		$transakcja4->setStatusTransakcji(StatusTransakcji::WYSLANA);

		$przesylka5 = PrzesylkaNadana::create($pracownik3, 'Michalina', 'Wojciechowska', 'Polna 2', '60-803', 'Poznań', '668 661 622', '1x marynarka moro XL', time()+8345);
		$przesylka5->powiazTransakcja($transakcja8);
		$transakcja8->setStatusTransakcji(StatusTransakcji::WYSLANA);

		$przesylka6 = PrzesylkaNadana::create($pracownik1, 'Kasia', 'Pawlak', 'Słowicza 17', '81-078', 'Gdynia', '677 345 344', '1x jeansy niebieskie 34/32', time()+11354);
		$przesylka6->powiazTransakcja($transakcja5);
		$transakcja5->setStatusTransakcji(StatusTransakcji::WYSLANA);
		
		
		
		$przesylka7 = PrzesylkaOdebrana::create($pracownik1, 'Kasia', 'Pawlak', 'Słowicza 17', '81-078', 'Gdynia', '677 345 344', '1x jeansy niebieskie 34/32', time()+471354);
		$przesylka7->powiazTransakcja($transakcja5);
		$transakcja5->setStatusTransakcji(StatusTransakcji::REKLAMOWANA);
		
		$transakcja1->save();
		$transakcja2->save();
		$transakcja3->save();
		$transakcja4->save();
		$transakcja5->save();
		$transakcja6->save();
		$transakcja7->save();
		$transakcja8->save();
		View::setIsJSON(true);
		View::setData('wygenerowano');
	}
}