<!DOCTYPE html>
<html lang="pl" xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta charset="utf-8">
		<meta name="description" content=""/>
		<meta name="keywords" content=""/>
		<meta name="author" content="Jerzy Skalski"/>
		<meta name="title" content="Allegro Manager"/>
		<link rel="stylesheet" href="|PAGE_URL|/static/css/styles.css" />
		<script src="|PAGE_URL|/static/js/jquery-1.11.0.min.js"></script>
		<script src="|PAGE_URL|/static/js/base.js"></script>
		<script>var pageURL = '<?php echo Website::getWebsiteConfig()->getValue('pageURL'); ?>';</script>
		<title>Allegro Manager</title>
		<!--[if lte IE 8]>
			<script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
		<![endif]-->
	</head>
	<body>
		<div id="topbar">
			<div id="topbar_text">
				<?php
				if(Visitor::isLogged())
				{
					$konto = Visitor::getAccount();
					echo 'Jesteś zalogowany jako <b>' .$konto->getImie() . ' ' . $konto->getNazwisko() . '</b>, Twoje stanowisko: <b>' . Stanowisko::getName($konto->getStanowisko()) . '</b>, <a href="' . Functions::link('Rola', 'logout') . '">WYLOGUJ</a>';
				}
				else
				{
					echo 'Nie jesteś zalogowany, <a href="' . Functions::link('Rola', 'login') . '">ZALOGUJ</a>';
				}
				?>
			</div>
		</div>
		<div id="content">
			|CONTENT|
		</div>
	</body>
</html>