<?php
if(!defined('INITIALIZED'))
	die('Brak dostepu.');

abstract class Platnosc extends Model
{
	protected static $table = '';
	protected static $fields = array('kwota', 'data_otrzymania');

	public static function getFieldsList()
	{
		if(get_parent_class() && method_exists(get_parent_class(), 'getFieldsList'))
		{
			return array_merge(parent::getFieldsList(), self::$fields);
		}
		else
		{
			return self::$fields;
		}
	}

// atrybuty
	public function getKwota()
	{
		return $this->data['kwota'];
	}

	public function setKwota($value)
	{
		if($value != (float) $value || $value <= 0)
		{
			throw new InvalidArgumentException('Nie poprawny format kwoty.');
		}
		$this->data['kwota'] = $value;
	}

	public function getDataOtrzymania()
	{
		return $this->data['data_otrzymania'];
	}

	public function setDataOtrzymania($value)
	{
		if($value != (int) $value || $value <= 0)
		{
			throw new InvalidArgumentException('Nie poprawny format daty otrzymania.');
		}
		$this->data['data_otrzymania'] = $value;
	}
}