<?php
session_start();
error_reporting(E_ALL ^ E_NOTICE ^ E_STRICT);

define('DEBUG', false);
define('INITIALIZED', true);
define('DS', DIRECTORY_SEPARATOR);
define('HOME', dirname(__FILE__));

include(HOME . DS . 'system' . DS . 'classes' . DS . 'website.php');

// automatyczne ladowanie klas
Website::turnOnAutoClassLoading();

// ladowanie konfiguracji strony z pliku ./system/config.php
Website::loadWebsiteConfig();

// konfigurowanie polaczenia z baza danych
Website::configureDatabaseConnection();
if(DEBUG)
{
	Website::getDatabaseHandler()->setPrintQueries(true);
}

// odpalanie strony
require_once(HOME . DS . 'system' . DS . 'bootstrap.php');