function formatDate(date, fmt)
{
	function pad(value)
	{
		return (value.toString().length < 2) ? '0' + value : value;
	}
	return fmt.replace(/%([a-zA-Z])/g, function (_, fmtCode)
	{
		switch (fmtCode)
		{
			case 'Y':
				return date.getFullYear();
			case 'M':
				return pad(date.getMonth() + 1);
			case 'd':
				return pad(date.getDate());
			case 'H':
				return pad(date.getHours());
			case 'm':
				return pad(date.getMinutes());
			case 's':
				return pad(date.getSeconds());
			default:
				throw new Error('Unsupported format code: ' + fmtCode);
		}
	});
}

var statusyTransakcji = new Array();
statusyTransakcji[1] = 'KUPIONA';
statusyTransakcji[2] = 'OPLACONA';
statusyTransakcji[3] = 'ZA POBRANIEM';
statusyTransakcji[4] = 'WYSLANA';
statusyTransakcji[5] = 'OCZEKUJE KOMENTARZA';
statusyTransakcji[6] = 'ZAKONCZONA';
statusyTransakcji[7] = 'REKLAMOWANA';
statusyTransakcji[8] = 'ZAKONCZONA REKLAMACJA';
