function pracownik_index_clickTransakcjePrzesylkiOdebranej(przesylkaID, pracownikID)
{
	var arrayLength = stanLinkowDoTransakcjiPrzesylkiOdebrane.length;
	for(var i = 0; i < arrayLength; i++)
	{
		if(stanLinkowDoTransakcjiPrzesylkiOdebrane[i][0] == przesylkaID && stanLinkowDoTransakcjiPrzesylkiOdebrane[i][1] == pracownikID)
		{
			if(stanLinkowDoTransakcjiPrzesylkiOdebrane[i][2])
			{
				pracownik_index_schowajTransakcjePrzesylkiOdebranej(przesylkaID, pracownikID);
			}
			else
			{
				pracownik_index_rozwinTransakcjePrzesylkiOdebranej(przesylkaID, pracownikID);
			}
			stanLinkowDoTransakcjiPrzesylkiOdebrane[i][2] = !stanLinkowDoTransakcjiPrzesylkiOdebrane[i][2];
			break;
		}
	}
}

function pracownik_index_obsluzListeTransakcjiPrzesylkiOdebranejJSON(dane)
{
	if(!dane.przesylkaID || !dane.pracownikID)
	{
		alert('Dane zwrócone przez serwer są w nie poprawnym formacie.');
		return;
	}
	var przesylkaID = dane.przesylkaID;
	var pracownikID = dane.pracownikID;
	if(dane.error)
	{
		$('#transakcjeOdebranePrzesylki' + przesylkaID + '_' + pracownikID + ' td').html('Nie udało się załadować danych z serwera. Powód: ' + dane.error);
		return;
	}
	// generowanie tabel

	$('#transakcjeOdebranePrzesylki' + przesylkaID + '_' + pracownikID + ' td').html('Powiązane transakcje:<br /><table id="tabelaTransakcjiOdebranejPrzesylki' + przesylkaID + '_' + pracownikID + '" class="listTableSubSub"></table>');
// "id":"1","klient_nick_allegro":"nic1","klient_id_allegro":"1","aukcja_id_allegro":"1","aukcja_nazwa":"nazwa1","ilosc_sztuk":"3","data_rozpoczecia":"0","data_zakonczenia":"0","status_transakcji":"1"
	$('#tabelaTransakcjiOdebranejPrzesylki' + przesylkaID + '_' + pracownikID).append('<tr><td>ID</td><td>Nick allegro<br /> klienta</td><td>Nazwa aukcji</td><td>Ilość kupionych<br />sztuk</td><td>Data rozpoczęcia</td><td>Data zakończenia</td><td>Status</td></tr>');
	var wyswietlonoTransakcje = false;
	$(dane.transakcje).each(function(index, element)
	{
		wyswietlonoTransakcje = true;
		$('#tabelaTransakcjiOdebranejPrzesylki' + przesylkaID + '_' + pracownikID).append('<tr><td>'+element.id+'</td><td>' + element.klient_nick_allegro + ' (' + element.klient_id_allegro + ')</td><td>' + element.aukcja_nazwa + ' (' + element.aukcja_id_allegro + ')</td><td>' + element.ilosc_sztuk + '</td><td>' + formatDate(new Date(element.data_rozpoczecia * 1000), '%d.%M.%Y %H:%m:%s') + '</td><td>' + ((element.data_zakonczenia == 0) ? 'Nie zakończono' : formatDate(new Date(element.data_zakonczenia * 1000), '%d.%M.%Y %H:%m:%s')) + '</td><td>' + statusyTransakcji[element.status_transakcji] + '</td></tr>');
	});
	if(!wyswietlonoTransakcje)
	{
		$('#tabelaTransakcjiOdebranejPrzesylki' + przesylkaID + '_' + pracownikID).append('<tr><td>NIE ISTNIEJE ŻADNA POWIĄZANA TRANSAKCJA</td><td>---</td></tr>');
	}

}

function pracownik_index_rozwinTransakcjePrzesylkiOdebranej(przesylkaID, pracownikID)
{
	$('#transakcjePracownikaOdebraneLink' + przesylkaID + '_' + pracownikID).html('Schowaj');
	$('#transakcjeOdebranePrzesylki' + przesylkaID + '_' + pracownikID + ' td').html('Trwa ładowanie danych...');
	
	$('#transakcjeOdebranePrzesylki' + przesylkaID + '_' + pracownikID).show();
	// json ladowanie danych do tabeli z serwera
	$.ajax({dataType: "json", url: pageURL + '/Pracownik/pobierzTransakcjePrzesylekOdebranychJSON/' , data: {przesylkaID : przesylkaID, pracownikID : pracownikID}, success: pracownik_index_obsluzListeTransakcjiPrzesylkiOdebranejJSON});
}

function pracownik_index_schowajTransakcjePrzesylkiOdebranej(przesylkaID, pracownikID)
{
	$('#transakcjeOdebranePrzesylki' + przesylkaID + '_' + pracownikID).hide();
	$('#transakcjeOdebranePrzesylki' + przesylkaID + '_' + pracownikID + ' td').empty();
	$('#transakcjePracownikaOdebraneLink' + przesylkaID + '_' + pracownikID).html('Pokaż');
}
