var stanLinkowDoPrzesylekPracownika = new Array();

var stanLinkowDoTransakcjiPrzesylkiOdebrane = new Array();
var stanLinkowDoTransakcjiPrzesylkiNadane = new Array();

function pracownik_index_clickPrzesylki(pracownikID)
{
	var arrayLength = stanLinkowDoPrzesylekPracownika.length;
	for(var i = 0; i < arrayLength; i++)
	{
		if(stanLinkowDoPrzesylekPracownika[i][0] == pracownikID)
		{
			if(stanLinkowDoPrzesylekPracownika[i][1])
			{
				pracownik_index_schowajPrzesylki(pracownikID);
				// usun rozwiniecie menu przesylek
				var arrayLength2 = stanLinkowDoTransakcjiPrzesylkiOdebrane.length;
				for(var i2 = 0; i2 < arrayLength2; i2++)
				{
					if(stanLinkowDoTransakcjiPrzesylkiOdebrane[i2][1] == pracownikID)
					{
						stanLinkowDoTransakcjiPrzesylkiOdebrane[i2][2] = false;
					}
				}
				var arrayLength3 = stanLinkowDoTransakcjiPrzesylkiNadane.length;
				for(var i3 = 0; i3 < arrayLength3; i3++)
				{
					if(stanLinkowDoTransakcjiPrzesylkiNadane[i3][1] == pracownikID)
					{
						stanLinkowDoTransakcjiPrzesylkiNadane[i3][2] = false;
					}
				}
			}
			else
			{
				pracownik_index_rozwinPrzesylki(pracownikID);
			}
			stanLinkowDoPrzesylekPracownika[i][1] = !stanLinkowDoPrzesylekPracownika[i][1];
			break;
		}
	}
}
function pracownik_index_obsluzListePrzesylekJSON(dane)
{
	if(!dane.pracownikID)
	{
		alert('Dane zwrócone przez serwer są w nie poprawnym formacie.');
		return;
	}
	var pracownikID = dane.pracownikID;
	if(dane.error)
	{
		$('#przesylkiPracownika' + pracownikID + ' td').html('Nie udało się załadować danych z serwera. Powód: ' + dane.error);
		return;
	}
	// generowanie tabel

	$('#przesylkiPracownika' + pracownikID + ' td').empty();
	$('#przesylkiPracownika' + pracownikID + ' td').html('<span style="font-size:24px">Przesyłki odebrane przez pracownika:</span><br /><table id="przesylkiOdebranePracownika' + pracownikID + '" class="listTableSub"></table><br /><span style="font-size:24px">Przesyłki nadane przez pracownika:</span><br /><table id="przesylkiNadanePracownika' + pracownikID + '" class="listTableSub"></table>');

	// tabela odebranych
	$('#przesylkiOdebranePracownika' + pracownikID).append('<tr><td>Adres</td><td>Opis zawartości</td><td>Data odebrania</td><td>Transakcje</td></tr>');
	var wyswietlonoOdebrane = false;
	$(dane.przesylkiOdebrane).each(function(index, element)
	{
		wyswietlonoOdebrane = true;
		$('#przesylkiOdebranePracownika' + pracownikID).append('<tr><td>'+element.imie+' '+element.nazwisko+'<br />'+element.ulica+'<br />'+element.kod_pocztowy+' '+element.miejscowosc+'<br />Tel.: '+element.telefon+'</td><td>'+element.opis_zawartosci+'</td><td>'+formatDate(new Date(element.data_odebrania * 1000), '%d.%M.%Y %H:%m:%s') +'</td><td><span id="transakcjePracownikaOdebraneLink' + element.id + '_' + pracownikID + '" class="link" onclick="pracownik_index_clickTransakcjePrzesylkiOdebranej(' + element.id + ',' + pracownikID + ')">Pokaż</span></td></tr>');
		
		$('#przesylkiOdebranePracownika' + pracownikID).append('<tr class="transakcjeOdebranePrzesylki' + pracownikID + '"><td colspan="4"></td></tr>');
		$('#przesylkiOdebranePracownika' + pracownikID).append('<tr id="transakcjeOdebranePrzesylki' + element.id + '_' + pracownikID + '" class="transakcjeOdebranePrzesylki' + pracownikID + '"><td class="tdPodtabeli" colspan="4"></td></tr>');
		stanLinkowDoTransakcjiPrzesylkiOdebrane.push([element.id, pracownikID, false]);
	});
	if(!wyswietlonoOdebrane)
	{
		$('#przesylkiOdebranePracownika' + pracownikID).append('<tr><td>NIE ODEBRANO ANI JEDNEJ PRZESYŁKI</td><td>---</td><td>---</td><td>---</td></tr>');
	}

	$('.transakcjeOdebranePrzesylki' + pracownikID).hide();
	
	// tabela nadanych
	$('#przesylkiNadanePracownika' + pracownikID).append('<tr><td>Adres</td><td>Opis zawartości</td><td>Data nadania</td><td>Transakcje</td></tr>');
	var wyswietlonoNadane = false;
	$(dane.przesylkiNadane).each(function(index, element)
	{
		wyswietlonoNadane = true;
		$('#przesylkiNadanePracownika' + pracownikID).append('<tr><td>'+element.imie+' '+element.nazwisko+'<br />'+element.ulica+'<br />'+element.kod_pocztowy+' '+element.miejscowosc+'<br />Tel.: '+element.telefon+'</td><td>'+element.opis_zawartosci+'</td><td>'+formatDate(new Date(element.data_nadania * 1000), '%d.%M.%Y %H:%m:%s') +'</td><td><span id="transakcjePracownikaNadaneLink' + element.id + '_' + pracownikID + '" class="link" onclick="pracownik_index_clickTransakcjePrzesylkiNadanej(' + element.id + ',' + pracownikID + ')">Pokaż</span></td></tr>');
		
		$('#przesylkiNadanePracownika' + pracownikID).append('<tr class="transakcjeNadanePrzesylki' + pracownikID + '"><td colspan="4"></td></tr>');
		$('#przesylkiNadanePracownika' + pracownikID).append('<tr id="transakcjeNadanePrzesylki' + element.id + '_' + pracownikID + '" class="transakcjeNadanePrzesylki' + pracownikID + '"><td class="tdPodtabeli" colspan="4"></td></tr>');
		stanLinkowDoTransakcjiPrzesylkiNadane.push([element.id, pracownikID, false]);
	});
	if(!wyswietlonoNadane)
	{
		$('#przesylkiNadanePracownika' + pracownikID).append('<tr><td>NIE NADANO ANI JEDNEJ PRZESYŁKI</td><td>---</td><td>---</td><td>---</td></tr>');
	}

	$('.transakcjeNadanePrzesylki' + pracownikID).hide();
}

function pracownik_index_rozwinPrzesylki(pracownikID)
{
	$('#przesylkiPracownikaLink' + pracownikID + '').html('Schowaj');
	$('#przesylkiPracownika' + pracownikID + ' td').html('Trwa ładowanie informacji...');
	$('#przesylkiPracownika' + pracownikID).show();
	// json ladowanie danych do tabeli z serwera
	$.ajax({dataType: "json", url: pageURL + '/Pracownik/pobierzPrzesylkiJSON/' , data: {pracownikID : pracownikID}, success: pracownik_index_obsluzListePrzesylekJSON});
}

function pracownik_index_schowajPrzesylki(pracownikID)
{
	$('#przesylkiPracownika' + pracownikID).hide();
	$('#przesylkiPracownika' + pracownikID + ' td').empty();
	$('#przesylkiPracownikaLink' + pracownikID + '').html('Pokaż');
}