<?PHP
class Database_SQLite extends Database
{
	public function __construct()
	{
		$this->setDatabaseDriver(self::DB_SQLITE);
	}

	public function connect()
	{
		try
		{// add error reporting
			parent::__construct('sqlite:' . $this->getDatabaseFile());
			$this->setConnected(true);
			return true;
		}
		catch(PDOException $error)
		{
			return false;
		}
	}

	public function fieldName($name)
	{
		return '"' . $name . '"';
	}

	public function tableName($name)
	{
		return '"' . $name . '"';
	}
}
?>