<?php
if(!defined('INITIALIZED'))
	die('Brak dostepu.');

class Rola_Controller extends Controller
{
	public function loginAction()
	{
		// sprawdzenie danych z wejscia
		$required = array();
		$required[] = new RequiredVariable('login', RequiredVariable::TYPE_STRING, '');
		$required[] = new RequiredVariable('password', RequiredVariable::TYPE_STRING, '');
		$vars = array();
		if(!self::verifyArguments($_REQUEST, $required, $vars))
		{
			throw new CriticException(__CLASS__ . '::' . __METHOD__ . ' - blad danych wejsciowych: ' . self::getLastError());
		}
		extract($vars);;
		// sprawdzanie czy to proba zalogowania
		if($login !== '' && $password !== '')
		{
			// proba logowania
			Visitor::login($login, $password);
			if(Visitor::isLogged())
			{
				// logowanie sie powiodlo
				// przeniesienie na strone startowa [redirect]
				Website::redirect(Website::getWebsiteConfig()->getValue('defaultController'), Website::getWebsiteConfig()->getValue('defaultAction'));
			}
		}
		$data = array();
		$data['loginState'] = Visitor::getLoginState();
		View::setData($data);
	}

	public function logoutAction()
	{
		$data = array();
		if(Visitor::isLogged())
		{
			// wylogowanie
			Visitor::logout();
			// wywolanie widoku z komunikatem o wylogowaniu
			$data['loggedOut'] = true;
		}
		else
		{
			// wywolanie widoku z komunikatem o nie byciu zalogowanym
			$data['loggedOut'] = false;
		}
		View::setData($data);
	}
}