<?php
if(!defined('INITIALIZED'))
	die('Brak dostepu.');

abstract class Osoba extends Model
{
	protected static $table = '';
	protected static $fields = array('imie', 'nazwisko', 'ulica', 'kod_pocztowy', 'miejscowosc', 'telefon');

	public static function getFieldsList()
	{
		if(get_parent_class() && method_exists(get_parent_class(), 'getFieldsList'))
		{
			return array_merge(parent::getFieldsList(), self::$fields);
		}
		else
		{
			return self::$fields;
		}
	}

// atrybuty
	public function getImie()
	{
		return $this->data['imie'];
	}

	public function setImie($value)
	{
		if($value != (string) $value || strlen($value) > 255)
		{
			throw new InvalidArgumentException('Nie poprawny format imienia.');
		}
		$this->data['imie'] = $value;
	}

	public function getNazwisko()
	{
		return $this->data['nazwisko'];
	}

	public function setNazwisko($value)
	{
		if($value != (string) $value || strlen($value) > 255)
		{
			throw new InvalidArgumentException('Nie poprawny format nazwiska.');
		}
		$this->data['nazwisko'] = $value;
	}

	public function getUlica()
	{
		return $this->data['ulica'];
	}

	public function setUlica($value)
	{
		if($value != (string) $value || strlen($value) > 255)
		{
			throw new InvalidArgumentException('Nie poprawny format ulicy.');
		}
		$this->data['ulica'] = $value;
	}

	public function getKodPocztowy()
	{
		return $this->data['kod_pocztowy'];
	}

	public function setKodPocztowy($value)
	{
		if($value != (string) $value || strlen($value) > 255)
		{
			throw new InvalidArgumentException('Nie poprawny format kodu_pocztowego.');
		}
		$this->data['kod_pocztowy'] = $value;
	}

	public function getMiejscowosc()
	{
		return $this->data['miejscowosc'];
	}

	public function setMiejscowosc($value)
	{
		if($value != (string) $value || strlen($value) > 255)
		{
			throw new InvalidArgumentException('Nie poprawny format miejscowosci.');
		}
		$this->data['miejscowosc'] = $value;
	}

	public function getTelefon()
	{
		return $this->data['telefon'];
	}

	public function setTelefon($value)
	{
		if($value != (string) $value || strlen($value) > 255)
		{
			throw new InvalidArgumentException('Nie poprawny format telefonu.');
		}
		$this->data['telefon'] = $value;
	}
}