-- phpMyAdmin SQL Dump
-- version 4.0.9
-- http://www.phpmyadmin.net
--
-- Host: 127.0.0.1
-- Czas wygenerowania: 12 Cze 2014, 00:22
-- Wersja serwera: 5.6.14
-- Wersja PHP: 5.5.6

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Baza danych: `mas`
--

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `aukcja`
--

CREATE TABLE IF NOT EXISTS `aukcja` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `id_allegro_aukcja` bigint(20) NOT NULL,
  `nazwa` text NOT NULL,
  `opis_produktu` text NOT NULL,
  `cena_sztuki` float NOT NULL,
  `data_rozpoczecia` int(10) NOT NULL,
  `data_zakonczenia` int(10) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id_allegro_aukcja` (`id_allegro_aukcja`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=48 ;

--
-- Zrzut danych tabeli `aukcja`
--

INSERT INTO `aukcja` (`id`, `id_allegro_aukcja`, `nazwa`, `opis_produktu`, `cena_sztuki`, `data_rozpoczecia`, `data_zakonczenia`) VALUES
(45, 4263024474, 'bojÃ³wki granatowe 36/32 pas 88-90 cm', 'tresc 1', 99, 1391182510, 1391882050),
(46, 4263003018, 'jeansy mÄ™skie niebieskie 34/32 pas 90-92cm', 'tresc2', 119, 1401182110, 1401882070),
(47, 4218475850, 'marynarka moro rozmiar XL', 'tresc3', 79, 1401183710, 1401884970);

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `klient`
--

CREATE TABLE IF NOT EXISTS `klient` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `imie` varchar(255) NOT NULL,
  `nazwisko` varchar(255) NOT NULL,
  `ulica` varchar(255) NOT NULL,
  `kod_pocztowy` varchar(255) NOT NULL,
  `miejscowosc` varchar(255) NOT NULL,
  `telefon` varchar(255) NOT NULL,
  `id_allegro_klient` bigint(20) NOT NULL,
  `nick_allegro` varchar(255) NOT NULL,
  `ilosc_komentarzy_pozytywnych` int(10) NOT NULL,
  `ilosc_komentarzy_negatywnych` int(10) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id_allegro_klient` (`id_allegro_klient`),
  UNIQUE KEY `nick_allegro` (`nick_allegro`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=68 ;

--
-- Zrzut danych tabeli `klient`
--

INSERT INTO `klient` (`id`, `imie`, `nazwisko`, `ulica`, `kod_pocztowy`, `miejscowosc`, `telefon`, `id_allegro_klient`, `nick_allegro`, `ilosc_komentarzy_pozytywnych`, `ilosc_komentarzy_negatywnych`) VALUES
(62, 'Walentyna', 'Nowicka', 'Giewont 60', '02-829', 'Warszawa', '535 569 942', 4735289723, 'Sweeprive', 329, 1),
(63, 'Jolanta', 'Kowalczyk', 'Kobzowa 114', '91-612', 'ÅÃ³dÅº', '645 334 745', 7673465331, 'Butc1979', 213, 0),
(64, 'Krystiana', 'Zawadzka', 'KanaÅ‚owa 134', '25-319', 'Kielce', '543 764 175', 6756232113, 'Roslina12', 2, 0),
(65, 'JarosÅ‚aw', 'DÄ…browski', 'Giewont 60', '42-400', 'Zawiercie', '664 343 445', 3425573321, 'mater', 7, 2),
(66, 'Michalina', 'Wojciechowska', 'Polna 2', '60-803', 'PoznaÅ„', '668 661 622', 5271232278, 'kula1993', 1654, 3),
(67, 'Kasia', 'Pawlak', 'SÅ‚owicza 17', '81-078', 'Gdynia', '677 345 344', 5463518653, 'kupowacz', 545, 1);

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `platnosc_allegro`
--

CREATE TABLE IF NOT EXISTS `platnosc_allegro` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `kwota` float NOT NULL,
  `data_otrzymania` int(10) NOT NULL,
  `id_allegro_platnosc` bigint(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `data_otrzymania` (`data_otrzymania`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `platnosc_bank`
--

CREATE TABLE IF NOT EXISTS `platnosc_bank` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `kwota` float NOT NULL,
  `data_otrzymania` int(10) NOT NULL,
  `dane_adresowe` text NOT NULL,
  `numer_konta` varchar(255) NOT NULL,
  `tytul_przelewu` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `data_otrzymania` (`data_otrzymania`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Zrzut danych tabeli `platnosc_bank`
--

INSERT INTO `platnosc_bank` (`id`, `kwota`, `data_otrzymania`, `dane_adresowe`, `numer_konta`, `tytul_przelewu`) VALUES
(1, 44.78, 435435, 'od jana', '5445335435345345', 'za spodnie');

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `pracownik`
--

CREATE TABLE IF NOT EXISTS `pracownik` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `imie` varchar(255) NOT NULL,
  `nazwisko` varchar(255) NOT NULL,
  `ulica` varchar(255) NOT NULL,
  `kod_pocztowy` varchar(255) NOT NULL,
  `miejscowosc` varchar(255) NOT NULL,
  `telefon` varchar(255) NOT NULL,
  `stanowisko` int(10) NOT NULL,
  `login` varchar(255) NOT NULL,
  `haslo` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `login` (`login`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=23 ;

--
-- Zrzut danych tabeli `pracownik`
--

INSERT INTO `pracownik` (`id`, `imie`, `nazwisko`, `ulica`, `kod_pocztowy`, `miejscowosc`, `telefon`, `stanowisko`, `login`, `haslo`) VALUES
(19, 'Wiola', 'Nowakowska', 'GÅ‚Ä™boka 110', '81-039', 'Sopot', '668 661 622', 3, '1', 'b185d0d9202c6ed782cdeb4b31c6a22ac2ea6eba'),
(20, 'Ewa', 'Olszewska', 'Osiecka 77', '81-078', 'Gdynia', '677 345 344', 3, '2', 'e726c26392b26c7e0f81db014f7f093969f85d01'),
(21, 'Celina', 'JabÅ‚oÅ„ska', 'NarcyzÃ³w 133', '81-079', 'Gdynia', '---', 3, '3', '60fb0f8902bb3fe390d2013bc1acd12e7dd15d18'),
(22, 'Hanna', 'Czarnecka', 'BolesÅ‚awa ÅšmiaÅ‚ego 5', '81-078', 'Gdynia', '664 376 988', 1, '4', '6360336198b0dedae23f9d4db71ff6ba876f066a');

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `przesylka_nadana`
--

CREATE TABLE IF NOT EXISTS `przesylka_nadana` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `pracownik_id` int(10) NOT NULL,
  `imie` varchar(255) NOT NULL,
  `nazwisko` varchar(255) NOT NULL,
  `ulica` varchar(255) NOT NULL,
  `kod_pocztowy` varchar(255) NOT NULL,
  `miejscowosc` varchar(255) NOT NULL,
  `telefon` varchar(255) NOT NULL,
  `opis_zawartosci` text NOT NULL,
  `data_nadania` int(10) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `data_nadania` (`data_nadania`),
  KEY `pracownik_id` (`pracownik_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=32 ;

--
-- Zrzut danych tabeli `przesylka_nadana`
--

INSERT INTO `przesylka_nadana` (`id`, `pracownik_id`, `imie`, `nazwisko`, `ulica`, `kod_pocztowy`, `miejscowosc`, `telefon`, `opis_zawartosci`, `data_nadania`) VALUES
(26, 19, 'Walentyna', 'Nowicka', 'Giewont 60', '02-829', 'Warszawa', '535 569 942', '2x bojÃ³wki granatowe 36/32, 1x jeansy niebieskie 34/32', 1401913260),
(27, 20, 'Jolanta', 'Kowalczyk', 'Kobzowa 114', '91-612', 'ÅÃ³dÅº', '645 334 745', 'marynarka moro XL', 1401915258),
(28, 19, 'Krystiana', 'Zawadzka', 'KanaÅ‚owa 134', '25-319', 'Kielce', '543 764 175', '2x marynarka moro XL, 3x jeansy niebieskie 34/32', 1401917458),
(29, 20, 'JarosÅ‚aw', 'DÄ…browski', 'Giewont 60', '42-400', 'Zawiercie', '664 343 445', '1x jeansy niebieskie 34/32', 1401918575),
(30, 21, 'Michalina', 'Wojciechowska', 'Polna 2', '60-803', 'PoznaÅ„', '668 661 622', '1x marynarka moro XL', 1401920371),
(31, 19, 'Kasia', 'Pawlak', 'SÅ‚owicza 17', '81-078', 'Gdynia', '677 345 344', '1x jeansy niebieskie 34/32', 1401923380);

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `przesylka_odebrana`
--

CREATE TABLE IF NOT EXISTS `przesylka_odebrana` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `pracownik_id` int(10) NOT NULL,
  `imie` varchar(255) NOT NULL,
  `nazwisko` varchar(255) NOT NULL,
  `ulica` varchar(255) NOT NULL,
  `kod_pocztowy` varchar(255) NOT NULL,
  `miejscowosc` varchar(255) NOT NULL,
  `telefon` varchar(255) NOT NULL,
  `opis_zawartosci` text NOT NULL,
  `data_odebrania` int(10) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `data_odebrania` (`data_odebrania`),
  KEY `pracownik_id` (`pracownik_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=8 ;

--
-- Zrzut danych tabeli `przesylka_odebrana`
--

INSERT INTO `przesylka_odebrana` (`id`, `pracownik_id`, `imie`, `nazwisko`, `ulica`, `kod_pocztowy`, `miejscowosc`, `telefon`, `opis_zawartosci`, `data_odebrania`) VALUES
(7, 19, 'Kasia', 'Pawlak', 'SÅ‚owicza 17', '81-078', 'Gdynia', '677 345 344', '1x jeansy niebieskie 34/32', 1402383380);

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `transakcja`
--

CREATE TABLE IF NOT EXISTS `transakcja` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `aukcja_id` int(10) NOT NULL,
  `klient_id` int(10) NOT NULL,
  `ilosc_sztuk` int(10) NOT NULL,
  `data_rozpoczecia` int(10) NOT NULL DEFAULT '0',
  `data_zakonczenia` int(10) NOT NULL DEFAULT '0',
  `status_transakcji` int(10) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `aukcja_id` (`aukcja_id`),
  KEY `klient_id` (`klient_id`),
  KEY `status_transakcji` (`status_transakcji`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=59 ;

--
-- Zrzut danych tabeli `transakcja`
--

INSERT INTO `transakcja` (`id`, `aukcja_id`, `klient_id`, `ilosc_sztuk`, `data_rozpoczecia`, `data_zakonczenia`, `status_transakcji`) VALUES
(51, 45, 62, 2, 1401912026, 0, 4),
(52, 46, 62, 1, 1401912026, 0, 4),
(53, 46, 64, 3, 1401912026, 0, 4),
(54, 46, 65, 1, 1401912026, 0, 4),
(55, 46, 67, 1, 1401912026, 0, 7),
(56, 47, 63, 1, 1401912026, 0, 4),
(57, 47, 64, 2, 1401912026, 0, 4),
(58, 47, 66, 1, 1401912026, 0, 4);

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `transakcja_platnosc_allegro`
--

CREATE TABLE IF NOT EXISTS `transakcja_platnosc_allegro` (
  `transakcja_id` int(10) NOT NULL,
  `platnosc_id` int(10) NOT NULL,
  PRIMARY KEY (`transakcja_id`,`platnosc_id`),
  KEY `platnosc_id` (`platnosc_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `transakcja_platnosc_bank`
--

CREATE TABLE IF NOT EXISTS `transakcja_platnosc_bank` (
  `transakcja_id` int(10) NOT NULL,
  `platnosc_id` int(10) NOT NULL,
  PRIMARY KEY (`transakcja_id`,`platnosc_id`),
  KEY `platnosc_id` (`platnosc_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `transakcja_przesylka_nadana`
--

CREATE TABLE IF NOT EXISTS `transakcja_przesylka_nadana` (
  `transakcja_id` int(10) NOT NULL,
  `przesylka_id` int(10) NOT NULL,
  PRIMARY KEY (`transakcja_id`,`przesylka_id`),
  KEY `przesylka_id` (`przesylka_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Zrzut danych tabeli `transakcja_przesylka_nadana`
--

INSERT INTO `transakcja_przesylka_nadana` (`transakcja_id`, `przesylka_id`) VALUES
(51, 26),
(52, 26),
(56, 27),
(53, 28),
(57, 28),
(54, 29),
(58, 30),
(55, 31);

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `transakcja_przesylka_odebrana`
--

CREATE TABLE IF NOT EXISTS `transakcja_przesylka_odebrana` (
  `transakcja_id` int(10) NOT NULL,
  `przesylka_id` int(10) NOT NULL,
  PRIMARY KEY (`transakcja_id`,`przesylka_id`),
  KEY `przesylka_id` (`przesylka_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Zrzut danych tabeli `transakcja_przesylka_odebrana`
--

INSERT INTO `transakcja_przesylka_odebrana` (`transakcja_id`, `przesylka_id`) VALUES
(55, 7);

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `wiadomosc`
--

CREATE TABLE IF NOT EXISTS `wiadomosc` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `transakcja_id` int(10) NOT NULL,
  `zrodlo_wiadomosci` int(10) NOT NULL,
  `nadawca` text NOT NULL,
  `adresat` text NOT NULL,
  `tytul` text NOT NULL,
  `tresc` text NOT NULL,
  `data_otrzymania` int(10) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `transakcja` (`transakcja_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Ograniczenia dla zrzutów tabel
--

--
-- Ograniczenia dla tabeli `przesylka_nadana`
--
ALTER TABLE `przesylka_nadana`
  ADD CONSTRAINT `przesylka_nadana_ibfk_1` FOREIGN KEY (`pracownik_id`) REFERENCES `pracownik` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Ograniczenia dla tabeli `przesylka_odebrana`
--
ALTER TABLE `przesylka_odebrana`
  ADD CONSTRAINT `przesylka_odebrana_ibfk_1` FOREIGN KEY (`pracownik_id`) REFERENCES `pracownik` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Ograniczenia dla tabeli `transakcja`
--
ALTER TABLE `transakcja`
  ADD CONSTRAINT `transakcja_ibfk_1` FOREIGN KEY (`aukcja_id`) REFERENCES `aukcja` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `transakcja_ibfk_2` FOREIGN KEY (`klient_id`) REFERENCES `klient` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Ograniczenia dla tabeli `transakcja_platnosc_allegro`
--
ALTER TABLE `transakcja_platnosc_allegro`
  ADD CONSTRAINT `transakcja_platnosc_allegro_ibfk_1` FOREIGN KEY (`transakcja_id`) REFERENCES `transakcja` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `transakcja_platnosc_allegro_ibfk_2` FOREIGN KEY (`platnosc_id`) REFERENCES `platnosc_allegro` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Ograniczenia dla tabeli `transakcja_platnosc_bank`
--
ALTER TABLE `transakcja_platnosc_bank`
  ADD CONSTRAINT `transakcja_platnosc_bank_ibfk_1` FOREIGN KEY (`transakcja_id`) REFERENCES `transakcja` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `transakcja_platnosc_bank_ibfk_2` FOREIGN KEY (`platnosc_id`) REFERENCES `platnosc_bank` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Ograniczenia dla tabeli `transakcja_przesylka_nadana`
--
ALTER TABLE `transakcja_przesylka_nadana`
  ADD CONSTRAINT `transakcja_przesylka_nadana_ibfk_1` FOREIGN KEY (`transakcja_id`) REFERENCES `transakcja` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `transakcja_przesylka_nadana_ibfk_2` FOREIGN KEY (`przesylka_id`) REFERENCES `przesylka_nadana` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Ograniczenia dla tabeli `transakcja_przesylka_odebrana`
--
ALTER TABLE `transakcja_przesylka_odebrana`
  ADD CONSTRAINT `transakcja_przesylka_odebrana_ibfk_1` FOREIGN KEY (`transakcja_id`) REFERENCES `transakcja` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `transakcja_przesylka_odebrana_ibfk_2` FOREIGN KEY (`przesylka_id`) REFERENCES `przesylka_odebrana` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
