<?php
class Display
{
	public static function getDateString($date = null)
	{
		if($date === null)
			return date('j F Y, H:i:s A', time());
		else
			return date('j F Y, H:i:s A', $date);
	}

	public static function userName($text)
	{
		return nl2br(htmlspecialchars($text));
	}

	public static function printError($error)
	{
		echo '<div class="errorFrame">Wystąpił błąd:<div class="errorText">' . $error . '</div></div>';
	}

	public static function printNotice($notice)
	{
		echo '<div class="noticeFrame">Porada:<div class="noticeText">' . $notice . '</div></div>';
	}

	public static function printGoodMessage($message)
	{
		echo '<div class="goodMessageFrame">' . $message . '</div>';
	}

	public static function printInformation($text, $title = '')
	{
		echo '<div class="infoMessageFrame"><b>' . $title . '</b><div class="infoMessageText">' . $text . '</div></div>';
	}
}